---
title: "Finding my old hard drive"
date: 2023-01-14T20:00:32
slug: finding-my-old-hard-drive

---
I was digging through some old belongings when I pulled out the laptop that I had during my 4th and final years at uni (I did an integrated MEng, so my degree took 5 years including a year in industry). I got pretty excited because I hoped that it would have the source code for my dissertation on it.

I lost the source because I lost access to the VPS that hosted my private Git server, and I didn't maintain any backups. It was dumb, but I was young and naïve.

I knew that the hard drive would have some form of Linux on it, because that's what I used all through university (various incarnations of Ubuntu or Arch, with i3 for window management). So I tried sticking it in my desktop to see if I could boot it, but no dice - possibly a lack of drivers, or it could be the weird power-management problems that my desktop has.

Next up, I thought I might be able to read the disk from either my Windows desktop, or my Mac laptop. I stuck it in a spare USB caddy, and hoped for the best. Still no joy, the disk is ext4 formatted - unreadable on both systems unless I use a virtual machine.

Shit, was I going to have to install Ubuntu on my desktop? I've no aversion to it, but that desktop is theoretically for during the 30-40 minutes a month I have the time to play video games. Then I remembered, on my desk is my trust Raspberry Pi 400. It took a bit of fiddling with dodgy USB connections, but eventually I got it to mount.

A quick search through the directories and I must have wiped it not too long before stopping using it, because there were only two or three projects. That meant, unfortunately, no dissertation. But I did find something else: Janet!

Janet was the name I gave to an IRC bot I started writing that used NLP to parse commands, sort of like a Discord bot, but a bit weirder and didn't quite work. I have [uploaded the source to Github](https://github.com/LewisDaleUK/janet), it's surprisingly well-written given it's purpose and age, I might even pick it back up if I get the urge to.
